% =========================
%% ECE 441 Exercise 3
% =========================
% Parameters
K = 7.5;
g = 1000;
AT = 150;
rat = 15;
% Initial values
phi_0 = 4*pi;
h_0 = 50^2/.15^2/2/1000;
% Default values for state space model
A = 0;
b = 0;
c = 0;
d = 0;


% Problem 8b) Set-point simulation
u = 0;
qin = 50;
sim('ECE441_Ex3_Tank_nonlinear.mdl',20);
figure;
plot(time,y);
grid;
xlabel('time [sec]')
ylabel('water level [cm]')

% Problem 8c) and d) Step response to an input step of 1
% Measure difference variable and compare to linear system
u = 1;
qin = 50;
A = [-3*.15/150 -333*.06/150; 0 0];
b = [0; 7.5/15];
c = [1 0];
d = 0;
sim('ECE441_Ex3_Tank_nonlinear.mdl',20);
figure;
plot(time,delta_y,time,y_linear,'k--');
grid;
xlabel('time [sec]')
ylabel('water level [cm]')
legend('nonlinear','linear')



